import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceEditApprovedPrice = createAsyncThunk(
  "PROVINCE_EDIT_APPROVED_PRICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("approved-price/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const provinceEditKillhouseApprovedPrice = createAsyncThunk(
  "PROVINCE_EDIT_KILL_APPROVED_PRICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put("broadcast-price/0/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
